Package org.gradle.api.tasks

# Interface CompatibilityAdapterForTaskOutputs

All Known Subinterfaces:
  `TaskOutputFilePropertyBuilder`, `TaskOutputs`

@Deprecated public interface CompatibilityAdapterForTaskOutputs
Deprecated.
The interface is only here to allow plugins built against Gradle 2.x to run and it will be removed in Gradle 5.0.
Helper interface for binary compatibility with Gradle 2.x version of the `TaskOutputs` interface.

## Method Summary

Modifier and Type
Method
Description
`TaskOutputs`
`dir(Object path)`
Deprecated.
Registers an output directory for this task.
`TaskOutputs`
`file(Object path)`
Deprecated.
Registers some output file for this task.
`TaskOutputs`
`files(Object... paths)`
Deprecated.
Registers some output files for this task.

## Method Details

### files

TaskOutputs files(Object... paths)
Deprecated.
Registers some output files for this task.

Parameters:
  `paths` - The output files. The given paths are evaluated as per `Project.files(Object...)`.
Returns:
  this

### file

TaskOutputs file(Object path)
Deprecated.
Registers some output file for this task.

Parameters:
  `path` - The output file. The given path is evaluated as per `Project.file(Object)`.
Returns:
  this

### dir

TaskOutputs dir(Object path)
Deprecated.
Registers an output directory for this task.

Parameters:
  `path` - The output directory. The given path is evaluated as per `Project.file(Object)`.
Returns:
  this